# GpgFrontend Project: src/ui/dialog/keypair_details/KeySetExpireDateDialog.h Source File

KeySetExpireDateDialog.h
#ifndef GPGFRONTEND_KEYSETEXPIREDATEDIALOG_H
#define GPGFRONTEND_KEYSETEXPIREDATEDIALOG_H
#include "core/GpgContext.h"
#include "core/model/GpgKey.h"
#include "core/model/GpgSubKey.h"
#include "ui/GpgFrontendUI.h"
#include "ui/dialog/GeneralDialog.h"
class Ui_ModifiedExpirationDateTime;
namespace GpgFrontend::UI {
class KeySetExpireDateDialog : public GeneralDialog {
Q_OBJECT
public:
explicit KeySetExpireDateDialog(const KeyId& key_id,
QWidget* parent = nullptr);
explicit KeySetExpireDateDialog(const KeyId& key_id, std::string subkey_fpr,
QWidget* parent = nullptr);
signals:
void SignalKeyExpireDateUpdated();
private:
void init();
std::shared_ptr<Ui_ModifiedExpirationDateTime> ui_;
const GpgKey m_key_;
const SubkeyId m_subkey_;
private slots:
void slot_confirm();
void slot_non_expired_checked(int state);
};
} // namespace GpgFrontend::UI
#endif // GPGFRONTEND_KEYSETEXPIREDATEDIALOG_H
GpgFrontend::GpgKey
Definition: GpgKey.h:43
GpgFrontend::UI::GeneralDialog
Definition: GeneralDialog.h:35
GpgFrontend::UI::KeySetExpireDateDialog
Definition: KeySetExpireDateDialog.h:42
GpgFrontend::UI::KeySetExpireDateDialog::KeySetExpireDateDialog
KeySetExpireDateDialog(const KeyId &key_id, QWidget *parent=nullptr)
Construct a new Key Set Expire Date Dialog object.
Definition: KeySetExpireDateDialog.cpp:41
GpgFrontend::UI::KeySetExpireDateDialog::slot_non_expired_checked
void slot_non_expired_checked(int state)
Definition: KeySetExpireDateDialog.cpp:152
GpgFrontend::UI
Definition: FileReadTask.cpp:29